VRPlatformVRPlatform
Webhooks

/webhooks/{id}

Update a webhook. URL or event-set changes and reactivation increment its revision and require a new explicit verification test. Editing a disabled webhook without status=active leaves it disabled.

Required scope: webhooks:manage

PUT
/webhooks/{id}
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

url?string
Formaturi
Lengthlength <= 2048
eventTypes?array<string>
Items1 <= items
description?string|null
status?string

Re-enable a disabled webhook. The webhook remains pending until a new verification test succeeds.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.vrplatform.app/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "scope": "self",
  "url": "http://example.com",
  "status": "pending",
  "revision": 9007199254740991,
  "apiVersion": "2026-07-01",
  "eventTypes": [
    "team.issues.changed"
  ],
  "description": "string",
  "verifiedAt": "2024-01-15T12:30:00.000+00:00",
  "disabledAt": "2024-01-15T12:30:00.000+00:00",
  "createdAt": "2024-01-15T12:30:00.000+00:00",
  "updatedAt": "2024-01-15T12:30:00.000+00:00"
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "links": {
    "docs": "string",
    "schema": "string"
  },
  "issues": [
    {
      "message": "string",
      "path": [
        "string"
      ],
      "schema": "string"
    }
  ],
  "context": null
}